Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlFeedBackRecorder Class Reference

Class use to build an object with an OpenGL feedback buffer. More...

`#include <GlFeedBackRecorder.h>`

Collaboration diagram for tlp::GlFeedBackRecorder:
[legend]

List of all members.

## Public Member Functions

- GlFeedBackRecorder (GlFeedBackBuilder *builder, unsigned int pointSize=7)
- void record (bool doSort, GLint size, GLfloat *feedBackBuffer, const Vector< int, 4 > &viewport)

## Detailed Description

Class use to build an object with an OpenGL feedback buffer.

Class use to build an object with an OpenGL feedback buffer This class call functions of the GlFeedBackBuilder passed to the constructor

## Constructor & Destructor Documentation

tlp::GlFeedBackRecorder::GlFeedBackRecorder | ( | GlFeedBackBuilder * | builder,
|  | unsigned int | pointSize = `7`
| ) |  | `[inline]`

Constructor : the recorder use GlFeedBackBuilder : builder

## Member Function Documentation

void tlp::GlFeedBackRecorder::record | ( | bool | doSort,
|  | GLint | size,
|  | GLfloat * | feedBackBuffer,
|  | const Vector< int, 4 > & | viewport
| ) |  |

Record a new feedback buffer

Parameters:

  doSort | : sort the feedback buffer
  size | : size of the feedback buffer
  feedBackBuffer | : the feedback buffer
  viewport | : the viewport of the scene

Tulip Software by LaBRI Visualization Team 2001 - 2012